openSUSE: 2021:3834-1 moderate: go1.16

Advisories


   openSUSE Security Update: Security update for go1.16
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:3834-1
Rating:             moderate
References:         #1182345 #1192377 #1192378 
Cross-References:   CVE-2021-41771 CVE-2021-41772
CVSS scores:
                    CVE-2021-41772 (SUSE): 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Affected Products:
                    openSUSE Leap 15.3
______________________________________________________________________________

   An update that solves two vulnerabilities and has one
   errata is now available.

Description:

   This update for go1.16 fixes the following issues:

   Security update go1.16.10 (released 2021-11-04) (bsc#1182345).

   - CVE-2021-41771: Fixed invalid dynamic symbol table command that could
     have caused panic (bsc#1192377).
   - CVE-2021-41772: Fixed panic on (*Reader).Open (bsc#1192378).


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.3:

      zypper in -t patch openSUSE-SLE-15.3-2021-3834=1



Package List:

   - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):

      go1.16-1.16.10-1.32.1
      go1.16-doc-1.16.10-1.32.1

   - openSUSE Leap 15.3 (aarch64 x86_64):

      go1.16-race-1.16.10-1.32.1


References:

   https://www.suse.com/security/cve/CVE-2021-41771.html
   https://www.suse.com/security/cve/CVE-2021-41772.html
   https://bugzilla.suse.com/1182345
   https://bugzilla.suse.com/1192377
   https://bugzilla.suse.com/1192378

openSUSE: 2021:3834-1 moderate: go1.16

December 1, 2021
An update that solves two vulnerabilities and has one errata is now available

Description

This update for go1.16 fixes the following issues: Security update go1.16.10 (released 2021-11-04) (bsc#1182345). - CVE-2021-41771: Fixed invalid dynamic symbol table command that could have caused panic (bsc#1192377). - CVE-2021-41772: Fixed panic on (*Reader).Open (bsc#1192378).

Patch

To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Leap 15.3: zypper in -t patch openSUSE-SLE-15.3-2021-3834=1

Package List

- openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64): go1.16-1.16.10-1.32.1 go1.16-doc-1.16.10-1.32.1 - openSUSE Leap 15.3 (aarch64 x86_64): go1.16-race-1.16.10-1.32.1

References

https://www.suse.com/security/cve/CVE-2021-41771.html https://www.suse.com/security/cve/CVE-2021-41772.html https://bugzilla.suse.com/1182345 https://bugzilla.suse.com/1192377 https://bugzilla.suse.com/1192378

Severity
Announcement ID: openSUSE-SU-2021:3834-1
Rating: moderate
Affected Products: openSUSE Leap 15.3 ble.

Related News

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.